summaryrefslogtreecommitdiffstats
path: root/source/a/logrotate
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/logrotate')
-rwxr-xr-xsource/a/logrotate/logrotate.SlackBuild71
-rw-r--r--source/a/logrotate/logrotate.slackware.diff49
-rw-r--r--source/a/logrotate/slack-desc19
3 files changed, 139 insertions, 0 deletions
diff --git a/source/a/logrotate/logrotate.SlackBuild b/source/a/logrotate/logrotate.SlackBuild
new file mode 100755
index 000000000..6b6284b7c
--- /dev/null
+++ b/source/a/logrotate/logrotate.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-3.7.4}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-logrotate
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_logrotate.tar.gz
+
+cd $TMP
+rm -rf logrotate-$VERSION
+tar xzvf $CWD/logrotate-$VERSION.tar.gz
+cd logrotate-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/logrotate.slackware.diff.gz | patch -p1
+make clean
+make || exit 1
+strip logrotate
+cat logrotate > $PKG/usr/sbin/logrotate
+cat logrotate.8 | gzip -9c > $PKG/usr/man/man8/logrotate.8.gz
+mkdir -p $PKG/usr/doc/logrotate-$VERSION
+cp -a \
+ CHANGES COPYING READM* \
+ $PKG/usr/doc/logrotate-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/logrotate-$VERSION-$ARCH-$BUILD.txz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/logrotate-$VERSION
+ rm -rf $PKG
+fi
diff --git a/source/a/logrotate/logrotate.slackware.diff b/source/a/logrotate/logrotate.slackware.diff
new file mode 100644
index 000000000..77b8aad6b
--- /dev/null
+++ b/source/a/logrotate/logrotate.slackware.diff
@@ -0,0 +1,49 @@
+diff -u -r --new-file logrotate-3.7.4.orig/config.c logrotate-3.7.4/config.c
+--- logrotate-3.7.4.orig/config.c 2006-07-24 07:08:04.000000000 -0500
++++ logrotate-3.7.4/config.c 2006-09-21 01:07:50.000000000 -0500
+@@ -29,7 +29,7 @@
+ #define isblank(c) ( (c) == ' ' || (c) == '\t' ) ? 1 : 0
+ #endif
+
+-static char *defTabooExts[] = { ".rpmsave", ".rpmorig", "~", ",v",
++static char *defTabooExts[] = { ".new", ".rpmsave", ".rpmorig", "~", ",v",
+ ".rpmnew", ".swp"
+ };
+ static int defTabooCount = sizeof(defTabooExts) / sizeof(char *);
+diff -u -r --new-file logrotate-3.7.4.orig/config.h logrotate-3.7.4/config.h
+--- logrotate-3.7.4.orig/config.h 2005-11-12 13:07:56.000000000 -0600
++++ logrotate-3.7.4/config.h 2006-09-21 01:08:02.000000000 -0500
+@@ -36,5 +36,5 @@
+ #endif
+
+ #ifndef STATEFILE
+-#define STATEFILE "/var/lib/logrotate.status"
++#define STATEFILE "/var/lib/logrotate/status"
+ #endif
+diff -u -r --new-file logrotate-3.7.4.orig/logrotate.8 logrotate-3.7.4/logrotate.8
+--- logrotate-3.7.4.orig/logrotate.8 2006-05-17 09:46:51.000000000 -0500
++++ logrotate-3.7.4/logrotate.8 2006-09-21 01:07:14.000000000 -0500
+@@ -1,4 +1,4 @@
+-.TH LOGROTATE 8 "Wed Nov 5 2002" "Red Hat Linux" "System Administrator's Manual"
++.TH LOGROTATE 8 "Wed Nov 5 2002" "Linux" "System Administrator's Manual"
+ .SH NAME
+ logrotate \- rotates, compresses, and mails system logs
+ .SH SYNOPSIS
+@@ -410,7 +410,7 @@
+ for information on the taboo extensions). If a + precedes the list of
+ extensions, the current taboo extension list is augmented, otherwise it
+ is replaced. At startup, the taboo extension list
+-contains .rpmorig, .rpmsave, ,v, .swp, .rpmnew, and ~.
++contains .new, .rpmorig, .rpmsave, ,v, .swp, .rpmnew, and ~.
+
+ .TP
+ \fBweekly\fR
+@@ -427,7 +427,7 @@
+ .SH FILES
+ .PD 0
+ .TP 27
+-\fI/var/lib/logrotate.status\fR
++\fI/var/lib/logrotate/status\fR
+ Default state file.
+ .TP 27
+ \fI/etc/logrotate.conf\fR
diff --git a/source/a/logrotate/slack-desc b/source/a/logrotate/slack-desc
new file mode 100644
index 000000000..2a1c76a5d
--- /dev/null
+++ b/source/a/logrotate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+logrotate: logrotate (system log rotation tool)
+logrotate:
+logrotate: The logrotate utility is designed to simplify the administration
+logrotate: of log files on a system which generates a lot of log files.
+logrotate: Logrotate allows for the automatic rotation compression, removal
+logrotate: and mailing of log files. Logrotate can be set to handle a log
+logrotate: file daily, weekly, monthly or when the log file gets to a certain
+logrotate: size. Normally, logrotate runs as a daily cron job.
+logrotate:
+logrotate:
+logrotate: